curl --request POST \
--url https://sandbox-api.borderless.xyz/v1/identities/personal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"address": {
"street1": "123 Main St",
"city": "New York",
"country": "US",
"street2": "Apt 4B",
"state": "NY",
"postalCode": "10001"
},
"secondLastName": "Smith",
"middleName": "Michael",
"taxId": "123456789",
"dateOfBirth": "2003-01-01",
"email": "john.doe@example.com",
"phone": "+1234567890",
"activity": "Software Engineer",
"sex": "Male",
"occupationCode": "172011",
"employmentStatus": "SelfEmployed",
"sourceOfFunds": "InvestmentsLoans",
"accountPurpose": "InvestmentPurposes",
"accountPurposeOther": "<string>",
"monthlyAmounts": "From10KTo50K",
"actingAsIntermediary": false,
"citizenship": "US",
"nationalities": [
"FR",
"US"
],
"placeOfBirthCountry": "FR",
"placeOfBirthCity": "Paris",
"hasForeignTaxRegistration": false
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/identities/personal"
payload = {
"firstName": "John",
"lastName": "Doe",
"address": {
"street1": "123 Main St",
"city": "New York",
"country": "US",
"street2": "Apt 4B",
"state": "NY",
"postalCode": "10001"
},
"secondLastName": "Smith",
"middleName": "Michael",
"taxId": "123456789",
"dateOfBirth": "2003-01-01",
"email": "john.doe@example.com",
"phone": "+1234567890",
"activity": "Software Engineer",
"sex": "Male",
"occupationCode": "172011",
"employmentStatus": "SelfEmployed",
"sourceOfFunds": "InvestmentsLoans",
"accountPurpose": "InvestmentPurposes",
"accountPurposeOther": "<string>",
"monthlyAmounts": "From10KTo50K",
"actingAsIntermediary": False,
"citizenship": "US",
"nationalities": ["FR", "US"],
"placeOfBirthCountry": "FR",
"placeOfBirthCity": "Paris",
"hasForeignTaxRegistration": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
address: {
street1: '123 Main St',
city: 'New York',
country: 'US',
street2: 'Apt 4B',
state: 'NY',
postalCode: '10001'
},
secondLastName: 'Smith',
middleName: 'Michael',
taxId: '123456789',
dateOfBirth: '2003-01-01',
email: 'john.doe@example.com',
phone: '+1234567890',
activity: 'Software Engineer',
sex: 'Male',
occupationCode: '172011',
employmentStatus: 'SelfEmployed',
sourceOfFunds: 'InvestmentsLoans',
accountPurpose: 'InvestmentPurposes',
accountPurposeOther: '<string>',
monthlyAmounts: 'From10KTo50K',
actingAsIntermediary: false,
citizenship: 'US',
nationalities: ['FR', 'US'],
placeOfBirthCountry: 'FR',
placeOfBirthCity: 'Paris',
hasForeignTaxRegistration: false
})
};
fetch('https://sandbox-api.borderless.xyz/v1/identities/personal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deleted": true,
"hasComplianceChecks": true,
"data": {
"firstName": "<string>",
"lastName": "<string>",
"secondLastName": "<string>",
"middleName": "<string>",
"taxId": "<string>",
"dateOfBirth": "YYYY-MM-DD",
"email": "<string>",
"phone": "<string>",
"activity": "<string>",
"address": {
"id": "<string>",
"street1": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"documents": [
{
"id": "<string>",
"idNumber": "<string>",
"issuedDate": "YYYY-MM-DD",
"expiryDate": "YYYY-MM-DD"
}
],
"accountPurposeOther": "<string>",
"actingAsIntermediary": true,
"nationalities": [],
"placeOfBirthCity": "<string>",
"hasForeignTaxRegistration": true
},
"mastercardCredential": {
"status": "<string>",
"countryOfResidence": "<string>",
"paymentMethods": {
"cryptoWallet": {
"cryptoSupportedAssets": [
"<string>"
]
},
"bankAccount": {
"bankSupportedCurrencies": [
"<string>"
]
}
},
"vasps": [
"<string>"
],
"assetsAndNetworks": {
"offset": 123,
"limit": 123,
"count": 123,
"total": 123,
"items": [
{
"asset": "<string>",
"network": "<string>",
"supportedVasps": [
"<string>"
]
}
]
}
}
}Create a new Personal Identity
Create a new Personal Identity using the data provided in the request body.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The first name of the person
2 - 100"John"
The last name of the person
2 - 100"Doe"
The address of the person
Show child attributes
Show child attributes
The second last name of the person
1 - 100"Smith"
The middle name of the person
1 - 100"Michael"
The tax identification number of the person
3 - 20"123456789"
The date of birth of the person in format yyyy-mm-dd
"2003-01-01"
The email address of the person
"john.doe@example.com"
The phone number of the person
7 - 20"+1234567890"
The activity or occupation of the person
1 - 255"Software Engineer"
The sex of the person
Male, Female "Male"
List of occupation codes
132011, 272011, 152011, 291291, 519191, 113012, 112011, 413011, 172011, 131011, 194010, 191010, 172021, 452011, 532020, 493011, 532010, 512011, 533011, 452021, 392021, 339011, 392011, 171011, 173011, 119041, 254010, 271010, 192010, 272021, 192021, 291181, 492097, 493021, 493022, 493023, 492091, 396010, 333011, 513011, 395011, 353011, 433011, 433021, 172031, 191020, 194021, 472011, 433031, 472020, 273011, 274010, 434011, 132031, 493031, 131199, 513020, 131021, 517011, 292031, 435011, 472031, 472040, 412010, 472050, 351011, 172041, 519010, 194031, 192030, 111011, 211021, 399011, 291011, 172051, 131030, 537061, 212011, 193033, 292010, 272022, 499091, 271021, 499092, 432099, 113111, 131141, 131041, 151221, 113021, 172061, 151241, 519160, 151299, 151251, 151230, 151211, 492011, 191030, 474011, 472070, 472061, 119021, 499010, 5370XX, 352010, 333012, 434021, 131051, 211019, 412021, 435021, 273092, 434031, 537021, 132041, 434041, 132070, 339091, 519020, 434051, 519030, 514031, 272030, 439021, 15124X, 519080, 319091, 291292, 291020, 475010, 439031, 333021, 292032, 29205X, 291031, 359011, 212021, 272091, 359021, 435032, 419091, 533030, 472080, 475023, 193011, 273041, 119030, 211012, 492092, 173023, 172070, 492093, 49209X, 499051, 512020, 472111, 492096, 252020, 474021, 434061, 3940XX, 119161, 292042, 291214, 512031, 172199, 272099, 119070, 172081, 194040, 192041, 519194, 475022, 436011, 291128, 399031, 475032, 519041, 113013, 119013, 271022, 353023, 474031, 434071, 132051, 433099, 132061, 113031, 332020, 332011, 552010, 471011, 331011, 451011, 331021, 351012, 371011, 371012, 491011, 411012, 431011, 331012, 511011, 331099, 411011, 331091, 333031, 453031, 532031, 271023, 513091, 513092, 513093, 359099, 352021, 513099, 353041, 119051, 454011, 514020, 131131, 119171, 519051, 517021, 433041, 393010, 111021, 19204X, 472121, 452041, 271024, 514033, 395012, 474041, 291299, 211022, 499021, 493040, 499098, 519198, 473010, 474051, 499031, 311121, 359031, 434081, 434161, 113121, 131070, 49904X, 172110, 113051, 537051, 434199, 151212, 519061, 472130, 439041, 413021, 132053, 271025, 273091, 434111, 37201X, 519071, 231020, 231012, 537062, 171012, 373011, 516011, 231011, 436012, 232099, 111031, 254022, 434121, 254031, 292061, 191099, 434131, 499094, 534010, 119081, 454020, 131081, 537063, 514041, 292035, 372012, 439051, 499071, 499043, 131111, 119199, 395092, 499095, 172121, 131161, 112021, 211013, 319011, 172131, 152021, 172141, 274099, 273099, 119111, 319092, 292072, 191040, 436013, 319094, 131121, 211023, 211014, 271026, 514050, 435041, 553010, 551010, 554010, 499044, 172151, 452090, 474090, 292090, 518090, 193090, 493090, 514060, 419010, 514070, 519195, 394031, 533099, 272041, 272042, 119121, 151244, 434141, 273023, 172161, 29203X, 194051, 291151, 291161, 291171, 311131, 195010, 291122, 312010, 439199, 439061, 439071, 152031, 292081, 291041, 434151, 31113X, 5120XX, 21109X, 27102X, 17301X, 2590XX, 17302X, 3930XX, 4750XX, 1320XX, 37301X, 299000, 31909X, 49909X, 1940XX, 51403X, 5371XX, 1520XX, 514XXX, 39509X, 2912XX, 51919X, 5191XX, 33909X, 19303X, 5340XX, 2530XX, 51609X, 5360XX, 5170XX, 519111, 537064, 472140, 519120, 519196, 232011, 292043, 536021, 333041, 412022, 536061, 433051, 399099, 132052, 119179, 372021, 172171, 291051, 319095, 292052, 319097, 274021, 519151, 192099, 291123, 312020, 291071, 472151, 472161, 472152, 291081, 333050, 435051, 435052, 435053, 119131, 251000, 518010, 499060, 515111, 252010, 516021, 515113, 515112, 339021, 211092, 433061, 272012, 435061, 131082, 439081, 132020, 119141, 292053, 112030, 273031, 435031, 537070, 131023, 113061, 291124, 492020, 292034, 291224, 474061, 534031, 419020, 434171, 399032, 291125, 537081, 291141, 211015, 472171, 212099, 434181, 399041, 291126, 412031, 499096, 472181, 475071, 535011, 419099, 419031, 112022, 413091, 414010, 517041, 533051, 339094, 193034, 252030, 436014, 413031, 492098, 339030, 474071, 516031, 472211, 535020, 535031, 435071, 516040, 533053, 395094, 493050, 119151, 211093, 194061, 211029, 193041, 151252, 151253, 472231, 252050, 291127, 518021, 439111, 152041, 537065, 472221, 512041, 211011, 391000, 531000, 291240, 292055, 193022, 173031, 171020, 432011, 516050, 132081, 132082, 533054, 259040, 273042, 499052, 419041, 432021, 274030, 433071, 516060, 291129, 519197, 232093, 514111, 397010, 113131, 131151, 533052, 536051, 339093, 536030, 113071, 413041, 373013, 253041, 272023, 475040, 999999, 516093, 193051, 393031, 291131, 319096, 292056, 353031, 518031, 151255, 151254, 435111, 514120, 131022, 499081, 517042, 439022, 273043 "172011"
The employment status of the person
Employed, Homemaker, Retired, SelfEmployed, Student, Unemployed "SelfEmployed"
Primary source of funds for the person
CompanyFunds, EcommerceReseller, GamblingProceeds, Gifts, GovernmentBenefits, Inheritance, InvestmentsLoans, PensionRetirement, Salary, SaleOfAssetsRealEstate, Savings, SomeoneElsesFunds "InvestmentsLoans"
Primary purpose of the account. Required for EEA-resident individuals.
CharitableDonations, EcommerceRetailPayments, InvestmentPurposes, OperatingACompany, Other, PaymentsToFriendsOrFamilyAbroad, Payroll, PersonalOrLivingExpenses, ProtectWealth, PurchaseGoodsAndServices, ReceivePaymentForFreelancing, ReceivePaymentsForGoodsAndServices, ReceiveSalary, TaxOptimization, ThirdPartyMoneyTransmission, TreasuryManagement "InvestmentPurposes"
Other account purpose (required if accountPurpose is 'Other')
The expected monthly amounts on the account in USD
LessThan5K, From5KTo10K, From10KTo50K, GreaterThan50K "From10KTo50K"
Whether the person is acting as an intermediary for another party
false
The country of citizenship in ISO-3166-2 format. See ISO-3166-2 documentation. Deprecated for EEA-resident individuals; use nationalities instead.
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, ZZ "US"
All nationalities held by the individual, in ISO-3166-2 format. Required for EEA-resident individuals (Bridge MiCA/EMI requirement).
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, ZZ ["FR", "US"]
The country where the individual was born, in ISO-3166-2 format. Required for EEA-resident individuals (Bridge MiCA/EMI requirement).
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, ZZ "FR"
The city where the individual was born. Recommended for EEA-resident individuals; will be required under EU law in 2027.
1 - 50"Paris"
Whether the individual has tax registrations with any tax authority outside their country of residence. Required for EEA-resident individuals by 2026-12-31.
false
Response
Successfully created Personal Identity data.
Was this page helpful?